cpw.mods.fml.client.config

## Class GuiEditArrayEntries.StringEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiEditArrayEntries.BaseEntry
  - - cpw.mods.fml.client.config.GuiEditArrayEntries.StringEntry

- All Implemented Interfaces:
    GuiEditArrayEntries.IArrayEntry, GuiListExtended.IGuiListEntry
  Direct Known Subclasses:
    GuiEditArrayEntries.DoubleEntry, GuiEditArrayEntries.IntegerEntry
  Enclosing class:
    GuiEditArrayEntries

      public static class GuiEditArrayEntries.StringEntry
      extends GuiEditArrayEntries.BaseEntry

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GuiTextField` | `textFieldValue`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiEditArrayEntries.BaseEntry

      `btnAddNewEntryAbove, btnRemoveEntry, configElement, isValidated, isValidValue, owningEntryList, owningScreen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiEditArrayEntries.StringEntry(GuiEditArray owningScreen, GuiEditArrayEntries owningEntryList, IConfigElement configElement, java.lang.Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawEntry(int slotIndex, int x, int y, int listWidth, int slotHeight, Tessellator tessellator, int mouseX, int mouseY, boolean isSelected)`
    `java.lang.Object` | `getValue()`
    `void` | `keyTyped(char eventChar, int eventKey)`
    `void` | `mouseClicked(int x, int y, int mouseEvent)`
    `void` | `updateCursorCounter()`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiEditArrayEntries.BaseEntry

      `drawToolTip, isValueSavable, mousePressed, mouseReleased`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### textFieldValue

          protected final GuiTextField textFieldValue

  - ### Constructor Detail

    - #### GuiEditArrayEntries.StringEntry

          public GuiEditArrayEntries.StringEntry(GuiEditArray owningScreen,
                                         GuiEditArrayEntries owningEntryList,
                                         IConfigElement configElement,
                                         java.lang.Object value)

  - ### Method Detail

    - #### drawEntry

          public void drawEntry(int slotIndex,
                       int x,
                       int y,
                       int listWidth,
                       int slotHeight,
                       Tessellator tessellator,
                       int mouseX,
                       int mouseY,
                       boolean isSelected)

      Specified by:
        `drawEntry` in interface `GuiListExtended.IGuiListEntry`
      Overrides:
        `drawEntry` in class `GuiEditArrayEntries.BaseEntry`

    - #### keyTyped

          public void keyTyped(char eventChar,
                      int eventKey)

      Specified by:
        `keyTyped` in interface `GuiEditArrayEntries.IArrayEntry`
      Overrides:
        `keyTyped` in class `GuiEditArrayEntries.BaseEntry`

    - #### updateCursorCounter

          public void updateCursorCounter()

      Specified by:
        `updateCursorCounter` in interface `GuiEditArrayEntries.IArrayEntry`
      Overrides:
        `updateCursorCounter` in class `GuiEditArrayEntries.BaseEntry`

    - #### mouseClicked

          public void mouseClicked(int x,
                          int y,
                          int mouseEvent)

      Specified by:
        `mouseClicked` in interface `GuiEditArrayEntries.IArrayEntry`
      Overrides:
        `mouseClicked` in class `GuiEditArrayEntries.BaseEntry`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `GuiEditArrayEntries.IArrayEntry`
      Overrides:
        `getValue` in class `GuiEditArrayEntries.BaseEntry`